Jump to content
  • Advertisement

Archived

This topic is now archived and is closed to further replies.

subnet_rx

Direct X and NT

This topic is 6093 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

What should I do if I''m developing a OpenGL/DirectX app on a NT 4 Service Pack 6 system? I''ve tried installing DX81 and DX80 SDK and both say they aren''t compatible with NT

Share this post


Link to post
Share on other sites
Advertisement
quote:
Original post by subnet_rx
What should I do if I''m developing a OpenGL/DirectX app on a NT 4 Service Pack 6 system? I''ve tried installing DX81 and DX80 SDK and both say they aren''t compatible with NT


Hmmm.... Direct X isn''t compatible with NT4. It''s compatible with W2K ( which is NT5.0 )... I think it''s something with NT''s COM support, not sure about that one though...





"And that''s the bottom line cause I said so!"

** I WANT TO BE THE MODERATOR FOR THE LINUX FORUM **

Cyberdrek
Headhunter Soft
A division of DLC Multimedia

Resist Windows XP''s Invasive Production Activation Technology!

"gitty up" -- Kramer
/(bb|[^b]{2})/ that is the Question -- ThinkGeek.com

Share this post


Link to post
Share on other sites
Well, DX80a says it will install but some of the samples might not work. Would my apps compile and build, but not execute? I don''t intend to really run the apps on this machine, just develop.

Share this post


Link to post
Share on other sites
Repeat after me:

NT4 does not support versions of DirectX higher than 3.
NT4 does not support versions of DirectX higher than 3.
NT4 does not support versions of DirectX higher than 3....


Once you''ve got that, do anything else at your own risk.

[ GDNet Start Here | GDNet FAQ | MS RTFM | STL | Google ]
Thanks to Kylotan for the idea!

Share this post


Link to post
Share on other sites
Anything higher? Im sure you could install Office2000 on there (its version is a tad higher than ''3'')

-----------------------
0wn 0wn 0wn your goat
gently down the pw33n

Share this post


Link to post
Share on other sites
Guest Anonymous Poster
DirectX 6 is available now for WindowsNT 4.0...

Share this post


Link to post
Share on other sites
I've played StarCraft under NT4 on my laptop back-in-the-day - and Baulder's Gate - but I forget what version of Dx they used :/

Upgrade your OS, 2k is alot nicer than NT4, well worth the update. XP isn't bad either, imo.

...
Oh, OpenGL is supported on all flavors of 9x and NT.


quote:
Original post by Maximus
Anything higher? Im sure you could install Office2000 on there (its version is a tad higher than '3')


wth are you talking about?

...
Now wait a minute, on the DirectX page at Microsoft, in the FAQ it says:
quote:

Q. Is DirectX compatible with Windows NT 4.0?

A. Yes. However, the only version supported on Windows NT 4.0 is DirectX 3.0a. You must also install Windows NT 4.0 Service Pack 6.



But I thought Dx6 was avaiable...
ahh, I think the source of confusion is that DirectMedia 6 is available on NT4, now I gotta know...

Edited by - Magmai Kai Holmlor on January 19, 2002 10:18:25 PM

Share this post


Link to post
Share on other sites

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

We are the game development community.

Whether you are an indie, hobbyist, AAA developer, or just trying to learn, GameDev.net is the place for you to learn, share, and connect with the games industry. Learn more About Us or sign up!

Sign me up!